import{s as _t,o as vt,n as bt}from"../chunks/scheduler.182ea377.js";import{S as St,i as Mt,g as i,s,r as m,A as xt,h as d,f as o,c as r,j as b,u as f,x as p,k as S,y as t,a as c,v as h,d as g,t as _,w as v}from"../chunks/index.abf12888.js";import{T as $t}from"../chunks/Tip.230e2334.js";import{D as $}from"../chunks/Docstring.93f6f462.js";import{H as Ee}from"../chunks/Heading.16916d63.js";function Dt(me){let u,O=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){u=i("p"),u.textContent=O},l(M){u=d(M,"P",{"data-svelte-h":!0}),p(u)!=="svelte-95n5s"&&(u.textContent=O)},m(M,X){c(M,u,X)},p:bt,d(M){M&&o(u)}}}function Pt(me){let u,O,M,X,E,fe,q,tt='<code>DPMSolverMultistep</code> is a multistep scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',he,k,ot=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,ge,H,_e,z,st="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",ve,N,rt=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,be,A,nt="The SDE variant of DPMSolver and DPM-Solver++ is also supported, but only for the first and second-order solvers. This is a fast SDE solver for the reverse diffusion SDE. It is recommended to use the second-order <code>sde-dpmsolver++</code>.",Se,V,Me,l,W,qe,ee,it="<code>DPMSolverMultistepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.",ke,te,dt=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,He,x,j,ze,oe,lt=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,Ne,P,Ae,T,G,Ve,se,at="One step for the first-order DPMSolver (equivalent to DDIM).",We,y,R,je,re,ct="One step for the second-order multistep DPMSolver.",Ge,w,U,Re,ne,ut="One step for the third-order multistep DPMSolver.",Ue,C,Y,Ye,ie,pt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Be,F,B,Je,de,mt="Sets the begin index for the scheduler. This function should be run from pipeline before the inference.",Ze,L,J,Ke,le,ft="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Qe,I,Z,Xe,ae,ht=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,xe,K,$e,D,Q,et,ce,gt="Base class for the output of a scheduler’s <code>step</code> function.",De,pe,Pe;return E=new Ee({props:{title:"DPMSolverMultistepScheduler",local:"dpmsolvermultistepscheduler",headingTag:"h1"}}),H=new Ee({props:{title:"Tips",local:"tips",headingTag:"h2"}}),V=new Ee({props:{title:"DPMSolverMultistepScheduler",local:"diffusers.DPMSolverMultistepScheduler",headingTag:"h2"}}),W=new $({props:{name:"class diffusers.DPMSolverMultistepScheduler",anchor:"diffusers.DPMSolverMultistepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"use_lu_lambdas",val:": Optional = False"},{name:"final_sigmas_type",val:": Optional = 'zero'"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_lu_lambdas",description:`<strong>use_lu_lambdas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the uniform-logSNR for step sizes proposed by Lu&#x2019;s DPM-Solver in the noise schedule during
the sampling process. If <code>True</code>, the sigmas and time steps are determined according to a sequence of
<code>lambda(t)</code>.`,name:"use_lu_lambdas"},{anchor:"diffusers.DPMSolverMultistepScheduler.final_sigmas_type",description:`<strong>final_sigmas_type</strong> (<code>str</code>, defaults to <code>&quot;zero&quot;</code>) &#x2014;
The final <code>sigma</code> value for the noise schedule during the sampling process. If <code>&quot;sigma_min&quot;</code>, the final sigma
is the same as the last sigma in the training schedule. If <code>zero</code>, the final sigma is set to 0.`,name:"final_sigmas_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L74"}}),j=new $({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L438",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The converted model output.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),P=new $t({props:{$$slots:{default:[Dt]},$$scope:{ctx:me}}}),G=new $({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L537",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),R=new $({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L606",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),U=new $({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L729",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),Y=new $({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L923",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),B=new $({props:{name:"set_begin_index",anchor:"diffusers.DPMSolverMultistepScheduler.set_begin_index",parameters:[{name:"begin_index",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.set_begin_index.begin_index",description:`<strong>begin_index</strong> (<code>int</code>) &#x2014;
The begin index for the scheduler.`,name:"begin_index"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L247"}}),J=new $({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L257"}}),Z=new $({props:{name:"step",anchor:"diffusers.DPMSolverMultistepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L845",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),K=new Ee({props:{title:"SchedulerOutput",local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",headingTag:"h2"}}),Q=new $({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){u=i("meta"),O=s(),M=i("p"),X=s(),m(E.$$.fragment),fe=s(),q=i("p"),q.innerHTML=tt,he=s(),k=i("p"),k.textContent=ot,ge=s(),m(H.$$.fragment),_e=s(),z=i("p"),z.innerHTML=st,ve=s(),N=i("p"),N.innerHTML=rt,be=s(),A=i("p"),A.innerHTML=nt,Se=s(),m(V.$$.fragment),Me=s(),l=i("div"),m(W.$$.fragment),qe=s(),ee=i("p"),ee.innerHTML=it,ke=s(),te=i("p"),te.innerHTML=dt,He=s(),x=i("div"),m(j.$$.fragment),ze=s(),oe=i("p"),oe.textContent=lt,Ne=s(),m(P.$$.fragment),Ae=s(),T=i("div"),m(G.$$.fragment),Ve=s(),se=i("p"),se.textContent=at,We=s(),y=i("div"),m(R.$$.fragment),je=s(),re=i("p"),re.textContent=ct,Ge=s(),w=i("div"),m(U.$$.fragment),Re=s(),ne=i("p"),ne.textContent=ut,Ue=s(),C=i("div"),m(Y.$$.fragment),Ye=s(),ie=i("p"),ie.textContent=pt,Be=s(),F=i("div"),m(B.$$.fragment),Je=s(),de=i("p"),de.textContent=mt,Ze=s(),L=i("div"),m(J.$$.fragment),Ke=s(),le=i("p"),le.textContent=ft,Qe=s(),I=i("div"),m(Z.$$.fragment),Xe=s(),ae=i("p"),ae.textContent=ht,xe=s(),m(K.$$.fragment),$e=s(),D=i("div"),m(Q.$$.fragment),et=s(),ce=i("p"),ce.innerHTML=gt,De=s(),pe=i("p"),this.h()},l(e){const n=xt("svelte-u9bgzb",document.head);u=d(n,"META",{name:!0,content:!0}),n.forEach(o),O=r(e),M=d(e,"P",{}),b(M).forEach(o),X=r(e),f(E.$$.fragment,e),fe=r(e),q=d(e,"P",{"data-svelte-h":!0}),p(q)!=="svelte-zo5ht"&&(q.innerHTML=tt),he=r(e),k=d(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-l6rv24"&&(k.textContent=ot),ge=r(e),f(H.$$.fragment,e),_e=r(e),z=d(e,"P",{"data-svelte-h":!0}),p(z)!=="svelte-pt2glg"&&(z.innerHTML=st),ve=r(e),N=d(e,"P",{"data-svelte-h":!0}),p(N)!=="svelte-1ng0gyl"&&(N.innerHTML=rt),be=r(e),A=d(e,"P",{"data-svelte-h":!0}),p(A)!=="svelte-18n28n2"&&(A.innerHTML=nt),Se=r(e),f(V.$$.fragment,e),Me=r(e),l=d(e,"DIV",{class:!0});var a=b(l);f(W.$$.fragment,a),qe=r(a),ee=d(a,"P",{"data-svelte-h":!0}),p(ee)!=="svelte-12v1qo2"&&(ee.innerHTML=it),ke=r(a),te=d(a,"P",{"data-svelte-h":!0}),p(te)!=="svelte-linuuh"&&(te.innerHTML=dt),He=r(a),x=d(a,"DIV",{class:!0});var ue=b(x);f(j.$$.fragment,ue),ze=r(ue),oe=d(ue,"P",{"data-svelte-h":!0}),p(oe)!=="svelte-1st02i8"&&(oe.textContent=lt),Ne=r(ue),f(P.$$.fragment,ue),ue.forEach(o),Ae=r(a),T=d(a,"DIV",{class:!0});var Te=b(T);f(G.$$.fragment,Te),Ve=r(Te),se=d(Te,"P",{"data-svelte-h":!0}),p(se)!=="svelte-4nw43d"&&(se.textContent=at),Te.forEach(o),We=r(a),y=d(a,"DIV",{class:!0});var ye=b(y);f(R.$$.fragment,ye),je=r(ye),re=d(ye,"P",{"data-svelte-h":!0}),p(re)!=="svelte-1d6o6zu"&&(re.textContent=ct),ye.forEach(o),Ge=r(a),w=d(a,"DIV",{class:!0});var we=b(w);f(U.$$.fragment,we),Re=r(we),ne=d(we,"P",{"data-svelte-h":!0}),p(ne)!=="svelte-17nne8p"&&(ne.textContent=ut),we.forEach(o),Ue=r(a),C=d(a,"DIV",{class:!0});var Ce=b(C);f(Y.$$.fragment,Ce),Ye=r(Ce),ie=d(Ce,"P",{"data-svelte-h":!0}),p(ie)!=="svelte-1rkfgpx"&&(ie.textContent=pt),Ce.forEach(o),Be=r(a),F=d(a,"DIV",{class:!0});var Fe=b(F);f(B.$$.fragment,Fe),Je=r(Fe),de=d(Fe,"P",{"data-svelte-h":!0}),p(de)!=="svelte-1k141rk"&&(de.textContent=mt),Fe.forEach(o),Ze=r(a),L=d(a,"DIV",{class:!0});var Le=b(L);f(J.$$.fragment,Le),Ke=r(Le),le=d(Le,"P",{"data-svelte-h":!0}),p(le)!=="svelte-1vzm9q"&&(le.textContent=ft),Le.forEach(o),Qe=r(a),I=d(a,"DIV",{class:!0});var Ie=b(I);f(Z.$$.fragment,Ie),Xe=r(Ie),ae=d(Ie,"P",{"data-svelte-h":!0}),p(ae)!=="svelte-7jbjgx"&&(ae.textContent=ht),Ie.forEach(o),a.forEach(o),xe=r(e),f(K.$$.fragment,e),$e=r(e),D=d(e,"DIV",{class:!0});var Oe=b(D);f(Q.$$.fragment,Oe),et=r(Oe),ce=d(Oe,"P",{"data-svelte-h":!0}),p(ce)!=="svelte-6ojmkw"&&(ce.innerHTML=gt),Oe.forEach(o),De=r(e),pe=d(e,"P",{}),b(pe).forEach(o),this.h()},h(){S(u,"name","hf:doc:metadata"),S(u,"content",Tt),S(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,u),c(e,O,n),c(e,M,n),c(e,X,n),h(E,e,n),c(e,fe,n),c(e,q,n),c(e,he,n),c(e,k,n),c(e,ge,n),h(H,e,n),c(e,_e,n),c(e,z,n),c(e,ve,n),c(e,N,n),c(e,be,n),c(e,A,n),c(e,Se,n),h(V,e,n),c(e,Me,n),c(e,l,n),h(W,l,null),t(l,qe),t(l,ee),t(l,ke),t(l,te),t(l,He),t(l,x),h(j,x,null),t(x,ze),t(x,oe),t(x,Ne),h(P,x,null),t(l,Ae),t(l,T),h(G,T,null),t(T,Ve),t(T,se),t(l,We),t(l,y),h(R,y,null),t(y,je),t(y,re),t(l,Ge),t(l,w),h(U,w,null),t(w,Re),t(w,ne),t(l,Ue),t(l,C),h(Y,C,null),t(C,Ye),t(C,ie),t(l,Be),t(l,F),h(B,F,null),t(F,Je),t(F,de),t(l,Ze),t(l,L),h(J,L,null),t(L,Ke),t(L,le),t(l,Qe),t(l,I),h(Z,I,null),t(I,Xe),t(I,ae),c(e,xe,n),h(K,e,n),c(e,$e,n),c(e,D,n),h(Q,D,null),t(D,et),t(D,ce),c(e,De,n),c(e,pe,n),Pe=!0},p(e,[n]){const a={};n&2&&(a.$$scope={dirty:n,ctx:e}),P.$set(a)},i(e){Pe||(g(E.$$.fragment,e),g(H.$$.fragment,e),g(V.$$.fragment,e),g(W.$$.fragment,e),g(j.$$.fragment,e),g(P.$$.fragment,e),g(G.$$.fragment,e),g(R.$$.fragment,e),g(U.$$.fragment,e),g(Y.$$.fragment,e),g(B.$$.fragment,e),g(J.$$.fragment,e),g(Z.$$.fragment,e),g(K.$$.fragment,e),g(Q.$$.fragment,e),Pe=!0)},o(e){_(E.$$.fragment,e),_(H.$$.fragment,e),_(V.$$.fragment,e),_(W.$$.fragment,e),_(j.$$.fragment,e),_(P.$$.fragment,e),_(G.$$.fragment,e),_(R.$$.fragment,e),_(U.$$.fragment,e),_(Y.$$.fragment,e),_(B.$$.fragment,e),_(J.$$.fragment,e),_(Z.$$.fragment,e),_(K.$$.fragment,e),_(Q.$$.fragment,e),Pe=!1},d(e){e&&(o(O),o(M),o(X),o(fe),o(q),o(he),o(k),o(ge),o(_e),o(z),o(ve),o(N),o(be),o(A),o(Se),o(Me),o(l),o(xe),o($e),o(D),o(De),o(pe)),o(u),v(E,e),v(H,e),v(V,e),v(W),v(j),v(P),v(G),v(R),v(U),v(Y),v(B),v(J),v(Z),v(K,e),v(Q)}}}const Tt='{"title":"DPMSolverMultistepScheduler","local":"dpmsolvermultistepscheduler","sections":[{"title":"Tips","local":"tips","sections":[],"depth":2},{"title":"DPMSolverMultistepScheduler","local":"diffusers.DPMSolverMultistepScheduler","sections":[],"depth":2},{"title":"SchedulerOutput","local":"diffusers.schedulers.scheduling_utils.SchedulerOutput","sections":[],"depth":2}],"depth":1}';function yt(me){return vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ot extends St{constructor(u){super(),Mt(this,u,yt,Pt,_t,{})}}export{Ot as component};
